Subject: RES: nt to nt tcpsat problems

From: Marcelo Reis <[email-masked]>
Date: Fri, 11 Feb 2000 09:23:10 -0300

Hi Graham,

For winsock applications you need also to set two more variables:
HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Afd\Parameters\DefaultR
eceiveWindow
HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Afd\Parameters\DefaultS
endWindow 

Both of type REG_DWORD.

I don't know if it applies to you, but NT4 SP5 has a math error in its tcp
stack that causes the retransmit timer to be incorrectly computed, leading
to unnecessary retransmissions. There is a new tcpip.sys file that fixes
that bug. If you need this file and also the MS bug report regarding this,
please let me know.

Regards,

Marcelo M. Reis
[email-masked]

> ----- Mensagem original -----
> De:		Graham Street [SMTP:[email-masked]]
> Enviada em:		Quinta-feira, 10 de Fevereiro de 2000 11:04
> Para:		[email-masked]
> Assunto:		nt to nt tcpsat problems
> 
> Hi all,
> 
> We're trying to run windows file sharing protocols over a tcp sat link
> and getting miserable performance, even after setting TcpWindowSize to
> 65536.   We can get about 100-250k max.  We are trying to get at least
> one megabit out of it.  Is this even possible?  We can get 1-2 megabits
> ftping from a sun box over satellite...
> 
> does anyone know of any clever (cheap) solutions  (spoofing nacks?,
> translating 
> to udp?)
> 
> Thanks,
> Graham Street
> [email-masked]